# SemaphorePool Class Reference
[Different locking methods implementation]

Single access point to application-wide locker implementation. More...

Inheritance diagram for SemaphorePool:
[legend]

List of all members.

## Public Member Functions

| get ($key)
| free ($key)
| drop ($key)
| clean ()
| __destruct ()

## Static Public Member Functions

static | setDefaultLocker ($name)
static | me ()

## Protected Member Functions

| __construct ()

## Static Private Attributes

static | $lockerName = 'DirectoryLocker'
static | $locker = null

## Detailed Description

Single access point to application-wide locker implementation.

See also:
  SystemFiveLocker for default locker
  FileLocker for 'universal' locker
  DirectoryLocker for slow and dirty locker
  eAcceleratorLocker for eA-based locker

Definition at line 22 of file SemaphorePool.class.php.

## Constructor & Destructor Documentation

SemaphorePool::__construct | ( |  | ) | `[protected]`

Definition at line 27 of file SemaphorePool.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

SemaphorePool::__destruct | ( |  | ) |

Definition at line 68 of file SemaphorePool.class.php.

## Member Function Documentation

SemaphorePool::clean | ( |  | ) |

Definition at line 63 of file SemaphorePool.class.php.

SemaphorePool::drop | ( | $ | key | ) |

Definition at line 58 of file SemaphorePool.class.php.

SemaphorePool::free | ( | $ | key | ) |

Definition at line 53 of file SemaphorePool.class.php.

SemaphorePool::get | ( | $ | key | ) |

Definition at line 48 of file SemaphorePool.class.php.

static SemaphorePool::me | ( |  | ) | `[static]`

Returns:
  SemaphorePool

Implements Instantiatable.

Definition at line 43 of file SemaphorePool.class.php.

References Singleton::getInstance().

Referenced by XCacheSegmentHandler::__construct(), ApcSegmentHandler::__construct(), SmartDaoWorker::cacheByQuery(), SmartDaoWorker::cacheListByQuery(), SmartDaoWorker::checkMap(), RubberFileSystem::operate(), and SmartDaoWorker::uncacheLists().

Here is the call graph for this function:

static SemaphorePool::setDefaultLocker | ( | $ | name | ) | `[static]`

Definition at line 32 of file SemaphorePool.class.php.

References Assert::classExists(), and Singleton::getInstance().

Here is the call graph for this function:

## Member Data Documentation

SemaphorePool::$locker = null`[static, private]`

Definition at line 25 of file SemaphorePool.class.php.

SemaphorePool::$lockerName = 'DirectoryLocker'`[static, private]`

Definition at line 24 of file SemaphorePool.class.php.

The documentation for this class was generated from the following file:

- core/Cache/SemaphorePool.class.php